qt5-ukui-platformtheme (3.14.2.3-0k0) yangtze; urgency=medium

  * 改动：
    BUG号：123302,修改viemitem下的checkbox没有颜色样式的问题
           123144，修改scroll的悬停状态样式不正确的问题
    需求号：无
    其他改：调整颜色渐变规则，按照设计稿需求调整悬停渐变颜色样式
    影响域：tree，table，list控件的checkbox模式样式，scroll悬停颜色，所有控件的渐变颜色规律

 -- xibowen <xibowen@kylinos.cn>  Mon, 13 Jun 2022 09:55:00 +0800

qt5-ukui-platformtheme (3.14.2.2) yangtze; urgency=medium

  * 改动：
    BUG号：120162，寻光主题scroll三态颜色不正确的问题
           115336，修复combobox下拉框的选择的勾勾图标名称，修改为object-select-symbolic，使得图标更加清晰
           123111，修改和印主题深色模式下radiobutton与checkbox三态颜色正确的问题
           123239，修改和印主题slider的悬停颜色错误问题，调整为渐变颜色
           122778，修改文件对话框的文件列表没有三态的问题
           114650，修改lineedit设置的action图标没有反白的问题
    需求号：无
    其他改：无
    影响域：寻光主题下的scroll三态样式，和印主题下的radiobutton、checkbox与slider三态样式，文件对话框的列表三态样式，lineedit图标反白

 -- xibowen <xibowen@kylinos.cn>  Wed, 08 Jun 2022 17:55:00 +0800

qt5-ukui-platformtheme (3.14.2.1) yangtze; urgency=medium

  * 改动：
    BUG号：114387(list,tree,table控件选中时图标变色的问题)
    需求号：无
    其他改：修复progressbar的宽度问题
            依据设计师，调整色板base颜色为29，29，29
            tabbar添加协议属性，可控制圆角参数
            radiobutton添加协议属性，可控制背景色与描边效果
    影响域：progressbar的宽度，控件背景颜色的调整，tabbar与radiobutton添加可配置属性

 -- xibowen <xibowen@kylinos.cn>  Mon, 30 May 2022 10:10:00 +0800

qt5-ukui-platformtheme (3.14.2.0) jammy; urgency=medium

  * 改动：
    BUG号：无
    需求号：77049(Menu)，56595(主题色切换)
    其他改：无
    影响域：tabwidget，窗口移动效果

 -- xibowen <xibowen@kylinos.cn>  Tue, 24 May 2022 15:23:00 +0800

qt5-ukui-platformtheme (3.14.1.0) jammy; urgency=medium

  * 改动：
    BUG号：无
    需求号：77049(tabwidget)
    其他改：同步tablet窗口移动不灵活的问题修改
    影响域：tabwidget，窗口移动效果

 -- xibowen <xibowen@kylinos.cn>  Wed, 18 May 2022 20:08:00 +0800

qt5-ukui-platformtheme (3.13.0-0k0) jammy; urgency=medium

  * 改动：
    BUG号：95836,checkbox颜色问题
           117939,slider的悬停颜色没有变化的问题
    需求号：77049(list,table,tree,checkbox,radiobutton,slider,progressbar,scroll,tooltip)
    其他改：麒麟影音加入使用暗主题黑名单
            生物特征去除无法切换黑白主题黑名单
    影响域：list,table,tree,checkbox,radiobutton,slider,progressbar,scroll,tooltip,麒麟影音,生物特征黑白主题切换

 -- xibowen <xibowen@kylinos.cn>  Wed, 18 May 2022 11:11:00 +0800

qt5-ukui-platformtheme (3.1.4.1~0509-0k0) jammy; urgency=medium

  * 修改为quilt格式

 -- Xie Wei <xiewei@kylinos.cn>  Tue, 10 May 2022 11:54:54 +0800

qt5-ukui-platformtheme (3.1.4-1~0509) jammy; urgency=medium

  * 改动：
    BUG号：113049(处理图标加了透明度的问题)
    需求号：77049(寻光、和印主题)，一键切换
    其他改：主题框架代码结构逻辑调整，实现一键切换
            实现combobox的和印和寻光切换
            实现spinbox的和印和寻光切换
            实现lineedit的和印和寻光切换
            实现toolbutton与pushbutton的和印和寻光切换
            备份还原移除黑名单
            修改combobox图标没有反白的问题
    影响域：所有应用UI样式，combobox、spinbox、lineedit、toolbutton与pushbutton一键切换，通过gsetting widget-theme-name

 -- xibowen <xibowen@kylinos.cn>  Mon, 09 May 2022 17:05:00 +0800

qt5-ukui-platformtheme (3.1.4-1~0427) jammy; urgency=medium

  * 改动：
    BUG号：无
    需求号：无
    其他改：修改默认主题图标名称ukui为ukui-icon-theme-default，修改开关毛玻璃特效后导致的毛玻璃问题
    影响域：默认主题图标名，控制面板毛玻璃特效开关

 -- xibowen <xibowen@kylinos.cn>  Wed, 27 Apr 2022 18:10:00 +0800

qt5-ukui-platformtheme (3.1.4-1~0426) jammy; urgency=medium

  * 改动：
    BUG号：无
    需求号：无
    其他改：同步2204上3.1.3-1~0414到3.1.3-1~0426问题修改
    影响域：

 -- xibowen <xibowen@kylinos.cn>  Tue, 26 Apr 2022 15:10:00 +0800

qt5-ukui-platformtheme (3.1.4-1~0422.1) jammy; urgency=medium

  * 改动：
    BUG号：无
    需求号：无
    其他改：修改gsetting名theme-name为widget-theme-name，避免名称混淆
    影响域：一键主题切换

 -- xibowen <xibowen@kylinos.cn>  Fri, 22 Apr 2022 11:40:00 +0800

qt5-ukui-platformtheme (3.1.4-1~0422) jammy; urgency=medium

  * 改动：
    BUG号：无
    需求号：77049，一键切换主题
    其他改：添加新的gsetting theme-name，实现寻光与和印主题圆角和色板的切换
    影响域：新增主题切换，全局应用

 -- xibowen <xibowen@kylinos.cn>  Fri, 22 Apr 2022 11:10:00 +0800

qt5-ukui-platformtheme (3.1.3-1~0411) jammy; urgency=medium

  * 改动：
    BUG号：98044,114290,96764,96763,98312,114211
    需求号：无
    其他改：修改进度条progressbar最小厚度为16，主题框架暗主题黑名单移除ukui-menu,ukui-panel,ukui-sidebar,ukui-volume-control-applet-qt,ukui-power-manager-tray,ky
    lin-nm
    影响域：应用ukui-menu,ukui-panel,ukui-sidebar,ukui-volume-control-applet-qt,ukui-power-manager-tray,kylin-nm

 -- xibowen <xibowen@kylinos.cn>  Mon, 11 Apr 2022 09:50:00 +0800

qt5-ukui-platformtheme (3.1.3-1~0406) jammy; urgency=medium

  * 改动：
    BUG号：98045，96922，96915
    需求号：无
    其他改：修改combobox下拉框与QFrame圆角为8
    影响域：combobox下拉框样式

 -- xibowen <xibowen@kylinos.cn>  Wed, 06 Apr 2022 11:10:43 +0800

qt5-ukui-platformtheme (3.1.3-1~0329) jammy; urgency=medium

  * 改动：
    BUG号：98281
    需求号：tab页切换动画速率
    其他改：修改主题框架切换黑白主题后导致的没有毛玻璃效果的问题
    影响域：tab页切换动画，毛玻璃效果

 -- xibowen <xibowen@kylinos.cn>  Tue, 29 Mar 2022 10:27:48 +0800

qt5-ukui-platformtheme (3.1.3-1~0315) jammy; urgency=medium

  * 改动：
    BUG号：无
    需求号：无
    其他改：添加qtdeclarative5-dev依赖,添加qml主题加载模块
    影响域：主题框架编译

 -- xibowen <xibowen@kylinos.cn>  Tue, 15 Apr 2022 11:44:48 +0800

qt5-ukui-platformtheme (3.1.3-1~0314) jammy; urgency=medium

  * 改动：
    BUG号：无
    需求号：无
    其他改：修改主题框架初始化图标名称
    影响域：重启系统后的主题图标

 -- xibowen <xibowen@kylinos.cn>  Mon, 14 Apr 2022 15:44:48 +0800

qt5-ukui-platformtheme (3.1.3-1~0312) jammy; urgency=medium

  * 改动：
    BUG号：无
    需求号：无
    其他改：修改主题图标名称转换
    影响域：图标主题，图标主题切换

 -- xibowen <xibowen@kylinos.cn>  Fri, 11 Apr 2022 16:52:48 +0800

qt5-ukui-platformtheme (3.1.3-1~0311) jammy; urgency=medium

  * 改动：
    BUG号：无
    需求号：无
    其他改动：修改默认图标主题名称，修改主题图标为ukui,ukui-classical与ukui-fashion
    影响域：图标主题，图标主题切换

 -- xibowen <xibowen@kylinos.cn>  Fri, 11 Apr 2022 11:22:48 +0800

qt5-ukui-platformtheme (3.1.2-1.5.3) v101; urgency=medium

  * 改动：
    BUG号：无
    需求号：56598，修改平台对话框Qmessagebox样式
    其他改动：无
    影响域：所有使用到的QMessagebox的应用

 -- xibowen <xibowen@kylinos.cn>  Wed, 16 Feb 2022 09:40:48 +0800

qt5-ukui-platformtheme (3.1.2-1.5.2) v101; urgency=medium

  * 改动：
    BUG号：无
    需求号：无
    其他改动：同步最新xdgicon调用代码，使得主题框架能够在平台上正常编译
    影响域：主题框架编译

 -- xibowen <xibowen@kylinos.cn>  Wed, 16 Feb 2022 09:39:48 +0800

qt5-ukui-platformtheme (3.1.2-1.5.1) v101; urgency=medium

  * 改动：
    BUG号：无
    需求号：无
    其他改动：添加头文件QPainterPath，使得主题框架能够在平台上正常编译
    影响域：主题框架编译

 -- xibowen <xibowen@kylinos.cn>  Mon, 14 Feb 2022 16:23:08 +0800

qt5-ukui-platformtheme (3.1.2-1.5) v101; urgency=medium

  * 改动：
    BUG号：95779，按照3.1设计稿修改button按钮样式
    需求号：55234,55232,55243,55240，修改tree、tabs、table、list控件样式
    其他改动：主题框架去除xcb插件文件，同步SP2主题框架调色板
    影响域：桌面全局所有跟随主题的应用，主要为使用了按钮，tree、tabs、table、list控件的应用

 -- xibowen <xibowen@kylinos.cn>  Mon, 14 Feb 2022 16:22:08 +0800

qt5-ukui-platformtheme (3.1.2-1.4) v101; urgency=medium

  * 同步SP2代码,并进行UKUI3.1相关适配.

 -- xibowen <xibowen@kylinos.cn>  Wed, 5 Jan 2022 16:01:08 +0800

qt5-ukui-platformtheme (3.1.2-1.3) v101; urgency=medium

  * bug99193,同步主线修改lineedit、combobox、spinbox没有使用调色板的问题
  * 修改主题框架图标高亮使用控件调色板中的颜色反白

 -- xibowen <xibowen@kylinos.cn>  Wed, 29 Dec 2021 11:27:08 +0800

qt5-ukui-platformtheme (3.1.2-1.2) v101; urgency=medium

  * 修改主题框架所有空间都是直角的问题
  * 完成UKUI3.1需求QFrame的开发
  * 完成UKUI3.1需求list、table、tree控件的开发

 -- xibowen <xibowen@kylinos.cn>  Sun, 28 Nov 2021 14:38:08 +0800

qt5-ukui-platformtheme (3.1.2-1.1) v101; urgency=medium

  * 还原主题框架原来的gsetting，并结合UKUI3.1进行适配

 -- xibowen <xibowen@kylinos.cn>  Sun, 21 Nov 2021 15:11:08 +0800

qt5-ukui-platformtheme (3.1.2-1.0) v101; urgency=medium

  * 需求55235~55247：主题框架3.1需求修改

 -- xibowen <xibowen@kylinos.cn>  Thu, 18 Nov 2021 19:15:28 +0800

qt5-ukui-platformtheme (1.0.6-12.6) v101; urgency=medium

  * 调整透明按钮三态颜色
  * 麒麟传书加入使用透明按钮队列
  * 调整checkbox,progressbar,viewitem,QFrame圆角为6

 -- xibowen <xibowen@kylinos.cn>  Fri, 31 Dec 2021 17:56:46 +0800

qt5-ukui-platformtheme (1.0.6-12.5) v101; urgency=medium

  * BUG100013，按照设计稿调整toolbutton圆角为6
  * 按照设计师要求，调整Windowstext下inactive状态的颜色
  * tabbar添加分割线协议，应用可以配置属性来调整是否使用tabbar分割线
  * 修改默认图标主题为寻光

 -- xibowen <xibowen@kylinos.cn>  Wed, 29 Dec 2021 17:52:46 +0800

qt5-ukui-platformtheme (1.0.6-12.4) v101; urgency=medium

  * BUG93795,89836,99012修改tabwidget切换动画的问题
  * BUG98043，调整tabbar鼠标悬停颜色符合设计稿

 -- xibowen <xibowen@kylinos.cn>  Mon, 27 Dec 2021 14:52:46 +0800

qt5-ukui-platformtheme (1.0.6-12.3) v101; urgency=medium

  * BUG97140,96897,96220，暂时屏蔽QMessagebox模态同步配置，规避控制面板倒计时QMessagebox显示问题
  * BUG97875，调整Windowstext调色板色值
  * 根据设计稿修改控件三态颜色
  * BUG97929，98043，根据设计稿，修改list、table、tabbar、tree控件的三态颜色样式
  * 调整tabbar在设置颜色透明度下的动画效果
  * 根据设计稿，调整tarbbar的最小高度

 -- xibowen <xibowen@kylinos.cn>  Tue, 21 Dec 2021 15:28:46 +0800

qt5-ukui-platformtheme (1.0.6-12.2) v101; urgency=medium

  * 调整UKUI3.1 text disable颜色色值
  * BUG97700,BUG97680,麒麟影音移除特别列表，单独对麒麟影音添加透明按钮使用判断
  * 修改三态规范，按照设计要求使用色板混色处理
  * BUG93773,修改tabbar圆角问题

 -- xibowen <xibowen@kylinos.cn>  Wed, 15 Dec 2021 19:00:46 +0800

qt5-ukui-platformtheme (1.0.6-12.1) v101; urgency=medium

  * 依据设计师要求，修改主题框架UKUI3.1调色板
  * 修稿tabbar鼠标悬停效果样式
  * BUG96270，修改checkbox使用调色板里的颜色值

 -- xibowen <xibowen@kylinos.cn>  Mon, 13 Dec 2021 09:50:46 +0800

qt5-ukui-platformtheme (1.0.6-11.9) v101; urgency=medium

  * 主题框架使用UKUI3.1调色板规范
  * BUG76681，麒麟影音加入透明按钮列表

 -- xibowen <xibowen@kylinos.cn>  Thu, 09 Dec 2021 09:47:46 +0800

qt5-ukui-platformtheme (1.0.6-11.8) v101; urgency=medium

  * BUG93845,BUG92312，修改lineedit、spinbox与combobox三态符合设计规范
  * 修改combobox的下拉菜单没有check标识的问题
  * 修改lineedit、spinbox、combobox与qmenuitem的圆角问题

 -- xibowen <xibowen@kylinos.cn>  Wed, 08 Dec 2021 15:47:46 +0800

qt5-ukui-platformtheme (1.0.6-11.7) v101; urgency=medium

  * 修改combobx,editline,spinbox配置调色板后不生效的问题
  * 修改图标高亮反白使用widget的调色板，而不是qApp的调色板
  * 修改Qmenu毛玻璃协议配置false时，取消Qmenu的透明度配置
  * 修改应用配置非模态Qmessgabox不生效的问题
  * BUG93699，修改toolbar缩进后的图标使用主题库的标准图标
  * BUG90251，修改tabwidget切换主题后，tab切换会出现分割的问题
  * BUG93795，修改tabwidget设置透明度切换后，有短暂黑背景的问题

 -- xibowen <xibowen@kylinos.cn>  Tue, 07 Dec 2021 15:35:46 +0800

qt5-ukui-platformtheme (1.0.6-11.6) v101; urgency=medium

  * 修改Qmenu fixsize后导致的显示问题
  * 同步修改intel修复的主题框架拖动的问题，bug号为#79817 #88959

 -- xibowen <xibowen@kylinos.cn>  Fri, 19 Nov 2021 15:15:28 +0800

qt5-ukui-platformtheme (1.0.6-11.5) v101; urgency=medium

  * bug:88670:【控制面板】【必现】125%缩放比1920*1080分辨率情况下，将分辨率修改为最低分辨率1024*768，控制面板闪退

 -- xibowen <xibowen@kylinos.cn>  Fri, 12 Nov 2021 16:15:28 +0800

qt5-ukui-platformtheme (1.0.6-11.4) v101; urgency=medium

  * 其他修改：安装依赖增加qt5-gesture-extensions包

 -- leichen <leichen@kylinos.cn>  Thu, 11 Nov 2021 09:49:29 +0800

qt5-ukui-platformtheme (1.0.6-11.3) v101; urgency=medium

  * bug:89248 【控制面板】【显示】修改分辨率/刷新率/方向，将鼠标放置在弹出来确认框的“不保存”上，当倒计时改变，“不保存”上的选中状态就会消失

 -- leichen <leichen@kylinos.cn>  Mon, 08 Nov 2021 16:35:25 +0800

qt5-ukui-platformtheme (1.0.6-11.2) v101; urgency=medium

  * bug:73506 【需求-6527】【主题框架】select-下拉菜单中内容与左右边框的间距尺寸过小，不符合设计
  * bug:78794 【安全中心】建议弹框时不要输出无关信息

 -- leichen <leichen@kylinos.cn>  Mon, 08 Nov 2021 10:12:14 +0800

qt5-ukui-platformtheme (1.0.6-11.1) v101; urgency=medium

  * tasks:58507 【平板】【触摸屏】Intel教育版本功能代码迁移到SP1中/qt触摸插件代码迁移

 -- leichen <leichen@kylinos.cn>  Fri, 29 Oct 2021 09:06:56 +0800

qt5-ukui-platformtheme (1.0.6-10.3) v101; urgency=medium

  * bug:82683 【文件管理器】【PTOF】文件管理器删除文件，出现弹窗按下enter键，文件未删除
  * tasks:53358（协助处理，不需要单独验证）  【平板】【触摸屏】平板单指点击功能

 -- leichen <leichen@kylinos.cn>  Tue, 19 Oct 2021 15:25:27 +0800

qt5-ukui-platformtheme (1.0.6-10.2) v101; urgency=medium

  * bug:81801

 -- leichen <leichen@kylinos.cn>  Tue, 28 Sep 2021 16:28:26 +0800

qt5-ukui-platformtheme (1.0.6-10.1) v101; urgency=medium

  * bug:68592 68597

 -- leichen <leichen@kylinos.cn>  Thu, 23 Sep 2021 16:29:58 +0800

qt5-ukui-platformtheme (1.0.6-9.9) v101; urgency=medium

  * bug:76302 77286 76703 76689

 -- leichen <leichen@kylinos.cn>  Fri, 03 Sep 2021 10:10:17 +0800

qt5-ukui-platformtheme (1.0.6-9.7) v101; urgency=medium

  * bug:76540 76555 76611

 -- leichen <leichen@kylinos.cn>  Fri, 03 Sep 2021 10:09:38 +0800

qt5-ukui-platformtheme (1.0.6-9.6) v101; urgency=medium

  * bug:75193 74592 72943 72922

 -- leichen <leichen@kylionos.cn>  Fri, 03 Sep 2021 10:07:27 +0800

qt5-ukui-platformtheme (1.0.6-9.4) v101; urgency=medium

  * 将麒麟影音移出使用默认主题名单
  * 毛玻璃开启流程新增平台支持判断
  * bug：76295

 -- leichen <leichen@kylinos.cn>  Thu, 26 Aug 2021 13:59:47 +0800

qt5-ukui-platformtheme (1.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 17 Aug 2021 15:26:10 +0800
 
qt5-ukui-platformtheme (1.0.6-9.3) v101; urgency=medium

  * bug:73079 73105 74528 74530

 -- leichen <leichen@kylinos.cn>  Tue, 17 Aug 2021 16:33:47 +0800

qt5-ukui-platformtheme (1.0.6-9.2) v101; urgency=medium

  * 需求：7191

 -- leichen <leichen@kylinos.cn>  Thu, 12 Aug 2021 21:02:52 +0800

qt5-ukui-platformtheme (1.0.6-8.1) v101; urgency=medium

  * bug:62661

 -- leichen <leichen@kylinos.cn>  Thu, 15 Jul 2021 09:24:11 +0800

qt5-ukui-platformtheme (1.0.6-7kylin3) v101; urgency=medium

  * 6656将控制面板移除平台消息弹窗黑名单
  * 41379
  * 使用默认主题名单中移除工具箱

 -- leichen <leichen@kylinos.cn>  Mon, 05 Jul 2021 20:25:34 +0800

qt5-ukui-platformtheme (1.0.6-7kylin2) v101; urgency=medium

  * 6527中按钮边距

 -- leichen <leichen@kylinos>  Fri, 02 Jul 2021 19:04:15 +0800

qt5-ukui-platformtheme (1.0.6-7kylin1) v101; urgency=medium

  * 需求6800
  * 内部测试bug：63913

 -- leichen <leichen@kylinos.cn>  Thu, 01 Jul 2021 10:18:38 +0800

qt5-ukui-platformtheme (1.0.6-6kylin4) v101; urgency=medium

  * 内部测试bug：63026 63039 63494 63506

 -- leichen <leichen@kylinos.cn>  Sat, 26 Jun 2021 15:24:14 +0800

qt5-ukui-platformtheme (1.0.6-6kylin3) v101; urgency=medium

  * 需求6943

 -- leichen <leichen@kylinos.cn>  Fri, 25 Jun 2021 17:28:29 +0800

qt5-ukui-platformtheme (1.0.6-6kylin2) v101; urgency=medium

  * 需求6805

 -- leichen <leichen@kylinos.cn>  Tue, 22 Jun 2021 20:42:36 +0800

qt5-ukui-platformtheme (1.0.6-6kylin1) v101; urgency=medium

  * 需求6803

 -- leichen <leichen@kylinos.cn>  Tue, 22 Jun 2021 19:42:25 +0800

qt5-ukui-platformtheme (1.0.6-5kylin9) v101; urgency=medium

  * 内部测试bug：62905

 -- leichen <leichen@kylinos.cn>  Tue, 22 Jun 2021 19:34:05 +0800

qt5-ukui-platformtheme (1.0.6-5kylin8) v101; urgency=medium

  * 需求6942：按钮默认使用相应的图标高亮协议

 -- leichen <leichen@kylinos.cn>  Fri, 18 Jun 2021 20:42:52 +0800

qt5-ukui-platformtheme (1.0.6-5kylin7) v101; urgency=medium

  * 需求6527及平缓升级

 -- leichen <leichen@kylinos.cn>  Wed, 16 Jun 2021 20:31:24 +0800

qt5-ukui-platformtheme (1.0.6-5kylin6) v101; urgency=medium

  * 其他改动：ukui-qt5-xcb-plugin包：修复影响主题

 -- leichen <leichen@kylinos.cn>  Wed, 16 Jun 2021 20:28:04 +0800

qt5-ukui-platformtheme (1.0.6-5kylin5) v101; urgency=medium

  * 其他改动：针对1.0.6-5kylin3平缓升级，button兼容1.0.6-4kylin9版本，去除聚焦状态绘制

 -- leichen <leichen@kylinos.cn>  Wed, 09 Jun 2021 19:57:39 +0800

qt5-ukui-platformtheme (1.0.6-5kylin4) v101; urgency=medium

  * 其他改动：新增ukui-qt5xcb-plugin包：用于实现分数缩放

 -- leichen <leichen@kylinos.cn>  Wed, 09 Jun 2021 19:54:33 +0800

qt5-ukui-platformtheme (1.0.6-5kylin3) v101; urgency=medium

  * 其他改动：设置按钮默认聚集策略为tab聚焦

 -- leichen <leichen@kylinos.cn>  Tue, 08 Jun 2021 14:09:23 +0800

qt5-ukui-platformtheme (1.0.6-5kylin2) v101; urgency=medium

  * 需求6527
  * 其他改动：无

 -- leichen <leichen@kylinos.cn>  Tue, 08 Jun 2021 14:08:06 +0800

qt5-ukui-platformtheme (1.0.6-4kylin9) v101; urgency=medium

  * 其他改动：跟随图标主题 修改调用上、下、左、右图标名

 -- leichen <leichen@kylinos.cn>  Tue, 08 Jun 2021 14:05:54 +0800

qt5-ukui-platformtheme (1.0.6-4kylin8) v101; urgency=medium

  * 其他改动：新增字体大小切换协议

 -- leichen <leichen@kylinos.cn>  Sat, 15 May 2021 11:16:38 +0800

qt5-ukui-platformtheme (1.0.6-4kylin7) v101; urgency=medium

  * bug:51977 54853
  * 其他改动 ：无

 -- leichen <leichen@kylinos.cn>  Fri, 14 May 2021 09:34:49 +0800

qt5-ukui-platformtheme (1.0.6-4kylin6) v101; urgency=medium

  * bug:51981
  * 其他改动:无

 -- leichen <leichen@kylinos.cn>  Sat, 08 May 2021 11:07:26 +0800

qt5-ukui-platformtheme (1.0.6-4kylin5) v101; urgency=medium

  * bug:50962
  * 其他改动：移除图标高亮协议中的一条日志打印
              主题框架添加图标主题切换是窗口图标实时切换处理

 -- leichen <leichen@kylinos.cn>  Thu, 29 Apr 2021 10:41:55 +0800

qt5-ukui-platformtheme (1.0.6-4kylin4) v101; urgency=medium

  * bug:50453

 -- leichen <leichen@kylinos.cn>  Thu, 29 Apr 2021 10:26:57 +0800

qt5-ukui-platformtheme (1.0.6-4kylin3) v101; urgency=medium

  * 任务号：25385  添加日志打印
  * 任务号：26458  bug号：47689
  * bug:44194
  * 其他改动：将控制面板移除毛玻璃黑名单(龙芯机型需要重点测试)

 -- leichen <leichen@kylinos.cn>  Wed, 21 Apr 2021 15:31:16 +0800

qt5-ukui-platformtheme (1.0.6-3kylin5) v101; urgency=medium

  * 将麒麟助手加入使用毛玻璃的黑名单。

 -- leichen <leichen@kylinos.cn>  Fri, 26 Mar 2021 16:50:07 +0800

qt5-ukui-platformtheme (1.0.6-3kylin4) v101; urgency=medium

  * 取消手势(Remove GestureHelper)

 -- leichen <leichen@kylinos.cn>  Thu, 25 Mar 2021 15:37:59 +0800

qt5-ukui-platformtheme (1.0.6-3kylin3) v101; urgency=medium

  * 修改QLineEdit的大小 [#42392 #42381 #41898 #38858 #36131]
  * 重构QScrollBar界面(重构系统中Qt滚动条的样式)
  * 代码漏洞扫描及去除多余日志打印

 -- leichen <leichen@kylinos.cn>  Fri, 19 Mar 2021 09:01:44 +0800

qt5-ukui-platformtheme (1.0.6-3kylin2) v101; urgency=medium

  * 重构QTabBar QTabWidget样式 [#31234]
  * 平台QMessagebox居中显示 [#41564]

 -- leichen <leichen@kylinos.cn>  Fri, 12 Mar 2021 09:54:43 +0800

qt5-ukui-platformtheme (1.0.6-2kylin4) v101; urgency=medium

  * 将麒麟备份还原工具加入平台消息对话框黑名单
  * 新增QListview QListWidget(除iconMode外)的样式[25382]
  * 将kylin-burner移出主题、毛玻璃黑名单

 -- leichen <leichen@kylinos.cn>  Thu, 04 Feb 2021 20:52:24 +0800

qt5-ukui-platformtheme (1.0.6-2kylin2) v101; urgency=medium

  * 修复平台QMessgebox奔溃问题[37682]
  * 将麒麟备份还原加入使用平台QMEssageBox黑名单
  * 设置QCombobox不再使用鼠标滚轮改变选项[32168]
  * 新增当Button没有动画时的样式及新增按钮隐藏再次show时动画重置[35283]

 -- leichen <leichen@kylinos.cn>  Tue, 02 Feb 2021 17:35:09 +0800

qt5-ukui-platformtheme (1.0.6-2kylin1) v101; urgency=medium

  * QMessagebox使用主题框架提供的样式
  * 解决QLable不能设置字体的bug [35705]
  * 将用户手册移除主题框架黑名单 [31581]
  * 新增QRadioButton不可用状态样式 [35334]
  * 修改QFialDialog列表视图、详细视图的图标 [19402]
  * 删除对QDialogButtonBox的图标处理 [32948]

 -- leichen <leichen@kylinos.com>  Tue, 26 Jan 2021 10:56:43 +0800

qt5-ukui-platformtheme (1.0.6-1kylin1) v101; urgency=medium

  * Modify CT_MenuItem enum in sizeFromContents() function Modify CE_MenuItem enum in drawControl() function
  * Replace the arrows with icons
  * Rewrite HighlightEffect isPixmapPureColol() fuction Modify symbolic_color
  * Add kylin-user-guide to  blackAppList  Remove ukui-bluetooth in specialList
  * 修改QMenu样式
  * 将主题中用图标绘制箭头的样式
  * 重写图标高亮协议的判别算法及symbolic_color
  * 将用户手册拉入不使用主题框架名单，将蓝牙移除使用深色主题名单

 -- leichen <leichen@kylinos.com>  Fri, 15 Jan 2021 15:02:19 +0800

qt5-ukui-platformtheme (1.0.4-7kylin2) v101; urgency=medium

  * Modify the disable status font alpha
  * Set "biometric-manager" does not respond to theme switching
  * GestureHelper: reduce gesture grabbing for improving UI fluency. link to: #19404
  * Solve the fixed mode of scroll bar, and update the style when hover
  * Refactoring and optimization of QMenu interface drawing process
  * Add kylin-video use default theme and kylin-software-center.py use theme but Non-response theme chang
  * Modify QMessageBox style
  * Add ukui-bluetooth default use ukui theme
  * Refactoring the QLineEdit interface
  * ShadowHelper: fix some problem.

 -- leichen <leichen@kylinos.com>  Fri, 08 Jan 2021 10:17:40 +0800

qt5-ukui-platformtheme (1.0.6-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump standards-version to 4.5.1.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Fri, 08 Jan 2021 02:05:36 +0000

qt5-ukui-platformtheme (1.0.5-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian: use shlibs instead of symbols file.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 28 Sep 2020 10:47:04 +0800

qt5-ukui-platformtheme (1.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian:
    - Update symbols file.
    - Remove 'Multi-Arch: same' from debian/control.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 21 Jul 2020 08:28:53 +0000

qt5-ukui-platformtheme (1.0.3-0ubuntu3) groovy; urgency=medium

  * No-change rebuild against qtbase-abi-5-14-2.

 -- Rik Mills <rikmills@kde.org>  Sat, 16 May 2020 09:00:12 +0000

qt5-ukui-platformtheme (1.0.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:06:55 +0100

qt5-ukui-platformtheme (1.0.3-0ubuntu1) focal; urgency=medium

  * Bugfix-only:
    - Fix the handing condition of highlight icon effect protocol.
    - Fix the crash when failing to get a null animotor at draw method.
    - Fix the problem of widget painting which has graphics effect.
    - Fix the unclear text color in dark theme and disable mode.
    - Fix the xcb warning through checking validate of window.
  * debian/watch: update to monitor upstream orig.tar.gz.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 07 Apr 2020 15:47:04 +0800

qt5-ukui-platformtheme (1.0.2-0ubuntu1) focal; urgency=medium

  [ Lan Yue ]
  * Fix the invalid return value which cause some qt applications
    crashed.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 01 Apr 2020 14:07:58 +0800

qt5-ukui-platformtheme (1.0.1-0ubuntu1) focal; urgency=medium

  * Initial release. (LP: #1869007)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 31 Mar 2020 22:18:05 +0800
